Package ru.bitel.bgbilling.modules.bill.common.bean

# Class BillAccountsReceivable

java.lang.Object
ru.bitel.bgbilling.modules.bill.common.bean.BillAccountsReceivable

All Implemented Interfaces:
  `ContractIdable`

public class BillAccountsReceivable extends Object implements ContractIdable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BillAccountsReceivable()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBills()`
  `String`
  `getContractComment()`
  `int`
  `getContractId()`
  Возвращает id договора
  `String`
  `getContractTitle()`
  `LocalDate`
  `getDate()`
  `BigDecimal`
  `getSum()`
  `BillAccountsReceivable`
  `setBills(String bills)`
  `BillAccountsReceivable`
  `setContractComment(String contractComment)`
  `BillAccountsReceivable`
  `setContractId(int contractId)`
  `BillAccountsReceivable`
  `setContractTitle(String contractTitle)`
  `BillAccountsReceivable`
  `setDate(LocalDate date)`
  `BillAccountsReceivable`
  `setSum(BigDecimal sum)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BillAccountsReceivable

    public BillAccountsReceivable()

- ## Method Details

  - ### getContractId

    public int getContractId()
    Description copied from interface: `ContractIdable`
    Возвращает id договора
    Specified by:
      `getContractId` in interface `ContractIdable`
    Returns:

  - ### setContractId

    public BillAccountsReceivable setContractId(int contractId)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public BillAccountsReceivable setContractTitle(String contractTitle)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public BillAccountsReceivable setContractComment(String contractComment)

  - ### getDate

    public LocalDate getDate()

  - ### setDate

    public BillAccountsReceivable setDate(LocalDate date)

  - ### getSum

    public BigDecimal getSum()

  - ### setSum

    public BillAccountsReceivable setSum(BigDecimal sum)

  - ### getBills

    public String getBills()

  - ### setBills

    public BillAccountsReceivable setBills(String bills)